namespace skyscraper5.Skyscraper.Scraper.StreamAutodetection.Contestants
{
	/*internal class AbertisContestant : Contestant, AbertisDecoderEventHandler
    {
        public AbertisContestant(int pid) : base("Abertis", pid)
        {
            PacketProcessor = new AbertisDecoder(pid, this);
        }
        
        public override void Dispose()
        {
            
        }

        private bool scoringThrottler;
        public void OnAbertisPacket(int pid, byte[] outBuffer)
        {
            if (scoringThrottler)
                Score++;
            scoringThrottler = !scoringThrottler;
        }

        public void OnAbertisSyncLoss(int pid, int oldPosition = -1, long newPosition = -1)
        {
            Score--;
        }

    //DvbContext.RegisterPacketProcessor(pid, new AbertisDecoder(pid, skyscraperContestant));

    }*/
}
